namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghre_SurveyRecordDetail(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_SurveyRecordDetailController : BaseController<IGhre_SurveyRecordDetailServices, Ghre_SurveyRecordDetail, Ghre_SurveyRecordDetailDto, InsertGhre_SurveyRecordDetailInput, EditGhre_SurveyRecordDetailInput>
{
    public Ghre_SurveyRecordDetailController(IGhre_SurveyRecordDetailServices service) : base(service)
    {
    }
}